#ifndef LOGFUN_H
#define LOGFUN_H

#include <syslog.h>

#ifndef __const
#define __const const
#endif

#define	LOG_MASTER	0x4000

#define LVL_NONE	0
#define LVL_ERR		1
#define LVL_WARNING	2
#define LVL_INFO	3
#define LVL_DEBUG	4

#define LOG_MSG1 if(MsgLevel >= LVL_ERR)     doLog
#define LOG_MSG2 if(MsgLevel >= LVL_WARNING) doLog
#define LOG_MSG3 if(MsgLevel >= LVL_INFO)    doLog
#define LOG_MSG4 if(MsgLevel >= LVL_DEBUG)   doLog
#define LOG_MSG5 if(MsgLevel >  LVL_DEBUG)   doLog

VOID errNoDynmem (CHAR *where);
VOID startLog (VOID);
VOID stopLog (VOID);
VOID doLog (INT priority, CHAR *format, ...);

#endif /* LOGFUN_H */
